Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0004865 [JEDI VCL] 04 Feature Request trivial N/A 2009-07-15 13:12 2009-10-03 18:32
Reporter snw View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.37
Summary 0004865: JvDriveCtrls.pas : add OnDrawEvent
Description attached code:
1)adds OnDrawItem event
2)makes public Images field to be used with OnDrawItem
3)makes public Items field to be used with OnDrawItem

it is not in the code, but you may consider also adding a new event 'OnDriveChange' which would occur each time when WM_DEVICECHANGE is received.
at the moment i had to add own hook to detect this changes.

this could be here:
function TJvDriveList.DriveChangeMessage(var Msg: TMessage): Boolean;
begin
  Result := False;
  if Msg.Msg = WM_DEVICECHANGE then
    if ((TWMDeviceChange(Msg).Event = DBT_DEVICEARRIVAL) or
      (TWMDeviceChange(Msg).Event = DBT_DEVICEREMOVECOMPLETE)) and
      (PDevBroadcastVolume(TWMDeviceChange(Msg).dwData)^.dbcv_devicetype = DBT_DEVTYP_VOLUME) then
      begin
      Refresh;
      if Assigned(FOnDriveChange) then
         OnDriveChange(self);
      end;
end;
Additional Information uploading
1) JvDriveCtrls.pas - oryginal 3.37 file
2) JvDriveCtrlsNew.pas - modified 3.37 file
3) JvDriveCtrls.pas.diff - WinMerge diff file
Tags No tags attached.
Attached Files rar file icon attach.rar [^] (20,008 bytes) 2009-07-15 13:12

- Relationships

-  Notes
(0016236)
AHUser (developer)
2009-10-03 18:32

Added to SVN.

- Issue History
Date Modified Username Field Change
2009-07-15 13:12 snw New Issue
2009-07-15 13:12 snw File Added: attach.rar
2009-07-21 11:16 obones Status new => acknowledged
2009-10-03 18:32 AHUser Note Added: 0016236
2009-10-03 18:32 AHUser Status acknowledged => resolved
2009-10-03 18:32 AHUser Fixed in Version => Daily / SVN
2009-10-03 18:32 AHUser Resolution open => fixed
2009-10-03 18:32 AHUser Assigned To => AHUser


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker